<form *ngIf="user" name="deleteForm" (ngSubmit)="confirmDelete(user.login!)">
  <div class="modal-header">
    <h4 class="modal-title" csiTranslate="entity.delete.title">Confirm delete operation</h4>

    <button type="button" class="btn-close" data-dismiss="modal" aria-hidden="true" (click)="cancel()">&times;</button>
  </div>

  <div class="modal-body">
    <csi-alert-error></csi-alert-error>

    <p csiTranslate="userManagement.delete.question" [translateValues]="{ login: user.login }">
      Are you sure you want to delete this User?
    </p>
  </div>

  <div class="modal-footer">
    <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="cancel()">
      <fa-icon icon="ban"></fa-icon>&nbsp;<span csiTranslate="entity.action.cancel">Cancel</span>
    </button>

    <button type="submit" class="btn btn-danger">
      <fa-icon icon="times"></fa-icon>&nbsp;<span csiTranslate="entity.action.delete">Delete</span>
    </button>
  </div>
</form>
